﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RFID.Reader;
using RFID.ReaderComm;

namespace ExampleCodes
{
    class HelloWorld
    {

        static String DEFAULT_READER_IP_ADDRESS = "192.168.1.120";
        static UInt16 PORT_NUMBER = 5000;
        static RFIDReader reader = null;

        static void Main(String[] args)
        {
            try
            {
                String readerIPAddress = DEFAULT_READER_IP_ADDRESS;
                UInt16 PortNumber = PORT_NUMBER;

                Console.WriteLine("Setting up ReaderComm instance on IP Address " + readerIPAddress);

                reader = new RFIDReader(readerIPAddress, PortNumber);

                Console.WriteLine("Getting Reader Info");
                ReaderInfo();

            }
            catch (Exception ex)
            {
                Console.WriteLine("Main: " + ex.ToString());
            }
        }

        public static void ReaderInfo()
        {
            string id = "";
            RFIDStatus status = HelloWorld.reader.GetHardwareId(ref id);
            Console.WriteLine("SensArray Hardware Id: " + id);
        }

    }
}
